
use strict;
use warnings;

use Module::Build 0.3601;
use lib 'inc'; use My::Builder;

my %module_build_args = (
  "build_requires" => {
    "Cwd" => "3.30",
    "File::Which" => "1.08",
    "GnuPG::Interface" => "0.42",
    "IO::Handle" => "1.28",
    "LWP::Online" => "1.07",
    "List::MoreUtils" => "0.25",
    "List::Util" => "1.21",
    "Module::Build" => "0.3601",
    "Module::Pluggable::Object" => "3.9",
    "Path::Class" => "0.19",
    "Test::Most" => "0.22",
    "Test::Trap" => "v0.2.1",
    "autodie" => "2.06_01"
  },
  "configure_requires" => {
    "Module::Build" => "0.3601"
  },
  "dist_abstract" => "privacy-friendly helper to refresh a GnuPG keyring",
  "dist_author" => [
    "intrigeri <intrigeri\@boum.org>"
  ],
  "dist_name" => "App-Parcimonie",
  "dist_version" => "0.7",
  "license" => "perl",
  "module_name" => "App::Parcimonie",
  "recommends" => {},
  "recursive_test_files" => 1,
  "requires" => {
    "Any::Moose" => "0.13",
    "Carp" => "1.11",
    "Clone" => "0.31",
    "Config::General" => "2.48",
    "Encode" => 0,
    "English" => "1.04",
    "File::HomeDir" => "0.86",
    "File::ShareDir" => "1.00",
    "File::Spec" => "3.3100",
    "File::Which" => "1.08",
    "Glib" => "1.223",
    "GnuPG::Interface" => "0.42",
    "Gtk3" => "0.007",
    "I18N::Langinfo" => 0,
    "List::MoreUtils" => "0.25",
    "Mouse" => "0.82",
    "MouseX::Getopt" => "0.33",
    "MouseX::Types::Path::Class" => "0.06",
    "Net::DBus" => "v0.33.6",
    "Net::DBus::GLib" => "v0.33.0",
    "Pango" => "1.221",
    "Path::Class" => "0.19",
    "Tie::Cache" => "0.17",
    "Time::Duration::Parse" => "0.06",
    "Try::Tiny" => "0.04",
    "namespace::autoclean" => "0.09"
  },
  "script_files" => [
    "bin/parcimonie",
    "bin/parcimonie-applet",
    "bin/parcimonie-torified-gpg"
  ],
  "share_dir" => {
    "dist" => "share"
  }
);


my $build = My::Builder->new(%module_build_args);

$build->create_build_script;
